#ifndef BARGRAPH_H
#define	BARGRAPH_H
//------------------------------------------------------------------------------
#include "../../assets/MCP23S17/MCP23S17.h"
#include "../../assets/bargraph/bargraph_prototypes.h"
//------------------------------------------------------------------------------
void bargraph_init()
{
    EXPANDER_init(0x00,0x00);  //Make PortA and PortB outputs
}
//------------------------------------------------------------------------------
void bargraph_display(float num)
{
    int level = bargraph_getLevel(num);
        
    EXPANDER_write(OLATB, level >> 8);      //Higher byte
    EXPANDER_write(OLATA, level);           //Lower byte
}
//------------------------------------------------------------------------------
int bargraph_getLevel(float num)
{
    int result = 0;
    
    if(num >= 0 && num <= 500)
    {
        result = 0x0000;
    }
    else
        if(num > 500 && num <= 1000)
        {
            result = 0x8000;
        }
        else
            if(num > 1000 && num <= 1500)
            {
                result = 0xC000;
            }
            else
                if(num > 1500 && num <= 2000)
                {
                    result = 0xE000;
                }
                else
                    if(num > 2000 && num <= 2500)
                    {
                        result = 0xF000;
                    }
                    else
                        if(num > 2500 && num <= 3000)
                        {
                            result = 0xF800;
                        }
                        else
                            if(num > 3000 && num <= 3500)
                            {
                                result = 0xFC00;
                            }
                            else
                                if(num > 3500 && num <= 4000)
                                {
                                    result = 0xFE00;
                                }
                                else
                                    if(num > 4000 && num <= 4500)
                                    {
                                        result = 0xFF00;
                                    }
                                    else
                                        if(num > 4500 && num <= 4900)
                                        {
                                            result = 0xFF80;
                                        }
                                        else
                                            if(num > 4900 && num <= 5000)
                                            {
                                                result = 0xFFC0;
                                            }
    
    return (result);
} 
//------------------------------------------------------------------------------
#endif	/* OUTPUTLEVEL_H */